cpufreqd (2.4.2-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #933160)
  * debian/rules: Add build-{arch,indep} (Closes: #999096).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:43:54 -0300

cpufreqd (2.4.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on power : call to libcpupower *available_frequencies
    functions can be made directly since kernel 5.6.7 (Closes: #958798).

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 05 May 2020 16:12:20 +0200

cpufreqd (2.4.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on power* since linux 5.1 introduced backward incompatilities in
    libcpupower (Closes: #935692)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 29 Aug 2019 12:30:53 +0200

cpufreqd (2.4.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on ppc64el by using libcpupower (Closes: #921099).

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 09 May 2019 18:40:03 +0200

cpufreqd (2.4.2-2) unstable; urgency=low

  * Fix reading the correct battery attribute
    (Closes: #619913 and Closes: #644567).

 -- Mattia Dongili <malattia@debian.org>  Sat, 23 Mar 2013 21:42:31 +0900

cpufreqd (2.4.2-1) unstable; urgency=low

  * New upstream release: fixes configuration with libsensors4
    (Closes: #577822).

 -- Mattia Dongili <malattia@debian.org>  Sun, 18 Apr 2010 23:08:30 +0900

cpufreqd (2.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #547483), now supports libsensors4
    (Closes: #454617) and ignores ignored features (Closes: #538950).
  * Switch to dpkg-source 3.0 (quilt) format (Closes: #538546).
  * Remove patch merged upstream

 -- Mattia Dongili <malattia@debian.org>  Sun, 28 Mar 2010 20:29:31 +0900

cpufreqd (2.3.3-4) unstable; urgency=low

  * Fix segfaulting on laptops with more than one battery,
    patch from Stefan Bühler (Closes: #509355).

 -- Mattia Dongili <malattia@debian.org>  Wed, 24 Dec 2008 22:01:17 +0900

cpufreqd (2.3.3-3) unstable; urgency=low

  * backport a patch from upstream repository fixing
    a segfault when reading a /sys device class with no
    attributes (Closes: #496288).

 -- Mattia Dongili <malattia@debian.org>  Sun, 05 Oct 2008 11:23:07 +0900

cpufreqd (2.3.3-2) unstable; urgency=low

  * backport a patch from upstream repository to support the
    ACPI thermal zone  reported as "acpitz" in /sys (Closes: #497083).

 -- Mattia Dongili <malattia@debian.org>  Mon, 08 Sep 2008 22:57:22 +0900

cpufreqd (2.3.3-1) unstable; urgency=low

  * New upstream version
  * fallback to reading change_* battery attributes if energy_* is
    not found (Closes: #495655). Patch from Goedson Teixeira Paixao
    <goedson@debian.org>.

 -- Mattia Dongili <malattia@debian.org>  Sat, 23 Aug 2008 13:29:47 +0900

cpufreqd (2.3.2-1) unstable; urgency=low

  * New upstream version (skipping 2.3.0 and 2.3.1)
  * now reads acpi data from sysfs rather than /proc (Closes: #484467)
  * plugin initialization is quieter (Closes: #400165)

 -- Mattia Dongili <malattia@debian.org>  Sat, 09 Aug 2008 16:08:22 +0900

cpufreqd (2.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change the recommends into a Recommends: acpid [amd64 i386 ia64]
    (Closes: #436647). 

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 30 Mar 2008 23:37:32 +0200

cpufreqd (2.2.1-2) unstable; urgency=low

  * Provide a more conservative config files, users owning non ondemand
    capable CPU have complained. (Closes: #400580)

 -- Mattia Dongili <malattia@debian.org>  Sun, 17 Dec 2006 17:13:57 +0100

cpufreqd (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix wording in README.Debian and /etc/default/cpufreq as
    suggested by Reuben Thomas. (Closes: #399105 and Closes: #399106)

 -- Mattia Dongili <malattia@debian.org>  Mon, 20 Nov 2006 22:02:13 +0100

cpufreqd (2.2.0-2) unstable; urgency=low

  * Remove all debconf stuff.
  * use Sarge's compliant character classes in sed.

 -- Mattia Dongili <malattia@debian.org>  Sun, 24 Sep 2006 11:13:47 +0200

cpufreqd (2.2.0-1) unstable; urgency=low

  * Updated debconf messages:
    - German, thanks to Erik Schanze
    - Vietnamese, thanks to Clytie Siddall
    - Japanese, thanks to Hideki Yamane
  * set debconf priority to "error" as we're only displaying errors.
    (Closes: #388879)

 -- Mattia Dongili <malattia@debian.org>  Sat, 23 Sep 2006 18:18:33 +0200

cpufreqd (2.1.1-1) unstable; urgency=low
  
  * New upstream release:
    - fix incorrect use of stdargs, thanks to Aurelien Jarno (Closes: #374579)
  * Added debconf message:
    - Korean, thanks to Sunjae Park (Closes: #374376)
    - Hebrew, thanks to Lior Kaplan
  * Updated debconf messages:
    - Japanese, thanks to Osamu Aoki
    - French, thanks to Florentin Duneau (Closes: #374563)
    - Lithuanian, thanks to Gintautas Miliauskas (Closes: #374970)

 -- Mattia Dongili <malattia@debian.org>  Thu, 22 Jun 2006 19:16:53 +0200

cpufreqd (2.1.0-1) unstable; urgency=low
  
  * New upstream release:
    - fixes race in SIGLARM handling that prevented functioning after 
      suspend (Closes: #350736).
  * Added debconf message:
    - Portuguese, thanks to AndrÃ© Costa (Closes: #362986)
    - Hungarian, thanks to SZERVÃÂC Attila (Closes: #374179)
    - Basque, thanks to Piarres Beobide
    - Romanian, thanks to Eddy Petrisor (Closes: #374333)
    - Lithuanian, thanks to Gintautas Miliauskas (Closes: #374291)
  * Updated debconf messages:
    - Czech, thanks to Miroslav Kure
    - Danish, thanks to Claus Hindsgaul
    - Swedish, thanks to Daniel Nylander (Closes: #374179)
    - German, thanks to Helge Kreutzmann
    - Japanese, thanks to Osamu Aoki
    - Italian, thanks to myself!!
  * provide support for loading CPUFreq cpu and governor modules
    through an /etc/default file (Closes: #342013) (Closes: #342014).

 -- Mattia Dongili <malattia@debian.org>  Sun, 18 Jun 2006 16:19:24 +0200

cpufreqd (2.0.0-1) unstable; urgency=low
  
  * New upstream release.
  * cpufreqd.init: exit succesfully in case a stop is issued and
    cpufreqd is found running as requested by LSB thus making it
    possible to remove cpufreqd when cpufreqd itsef is stopped
    (closes: #340133)

 -- Mattia Dongili <malattia@debian.org>  Sun, 27 Nov 2005 18:47:42 +0100

cpufreqd (1.999+2.0pre2-1) unstable; urgency=low
  
  * New upstream release.
  * Now suggest cpufrequtils (closes: #333617)
  * The new plugin architecture allows:
     - for easy selection of resources to poll (closes: #239946)
     - polling of ACPI thermal zones (closes: #298645)
  * Added Spanish translation (closes: #334559)
  * Added Swedish translation (closes: #330409)

 -- Mattia Dongili <malattia@debian.org>  Tue, 01 Nov 2005 16:08:38 +0100

cpufreqd (1.999+2.0pre1-1) unstable; urgency=low
  
  * New upstream release.

 -- Mattia Dongili <malattia@debian.org>  Sun, 25 Sep 2005 22:35:12 +0200

cpufreqd (1.999+2.0beta4-1) unstable; urgency=medium
  
  * Beta test, will never upload.
  * Completed plugin interface, now a plugin can hook almost
    everywhere into cpufreqd. A sample plugin for nforce2 is
    available

 -- Mattia Dongili <malattia@debian.org>  Mon, 15 Aug 2005 23:03:14 +0200

cpufreqd (1.999+2.0beta3-1) unstable; urgency=medium
  
  * Beta test, will never upload.
  * Many improvements.

 -- Mattia Dongili <malattia@debian.org>  Sat, 13 Aug 2005 00:13:10 +0200

cpufreqd (1.999+2.0beta2-1) unstable; urgency=medium
  
  * Beta test, will never upload.
  * Fixed floating point exeption with empty rules.

 -- Mattia Dongili <malattia@debian.org>  Wed, 03 Aug 2005 12:38:13 +0200

cpufreqd (1.999+2.0beta1-1) unstable; urgency=medium
  
  * Beta test, will never upload.

 -- Mattia Dongili <malattia@debian.org>  Sat, 30 Jul 2005 20:08:59 +0200

cpufreqd (1.2.3-2) unstable; urgency=medium
  
  * Added Vietnamese debconf translation (closes: #310147)
  * Corrected a typo in debconf templates (also cleared in translations)
    (closes: #310149)
  * Urgency set to medium to let the package into sarge as soon as possible.

 -- Mattia Dongili <malattia@debian.org>  Sun, 22 May 2005 14:47:18 +0200

cpufreqd (1.2.3-1) unstable; urgency=low

    * New upstrem release
    * Ship cpufreq.conf with no unimplemented options (closes: #307650)

 -- Mattia Dongili <malattia@debian.org>  Sat, 14 May 2005 21:04:10 +0200

cpufreqd (1.2.2-3) unstable; urgency=low

    * Changed Maintainer address to the new shining @d.o
    * Creates startup links even if it cannot start and 
      give better error messages in that case during startup.
      (closes: #295834)

 -- Mattia Dongili <malattia@debian.org>  Wed, 09 Mar 2005 22:15:24 +0100
 
cpufreqd (1.2.2-2) unstable; urgency=low

    * Renamed debian/po/cz.po into debian/po/cs.po (closes: #285570)
    * Now conflicts with cpudyn and powernowd (closes: #281065)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sat, 18 Dec 2004 19:17:37 +0100
 
cpufreqd (1.2.2-1) unstable; urgency=low

  * New upstream
  * Added Czech debconf translation (closes: #275504)
  * Added Italian debconf translation (finally...)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sun, 24 Oct 2004 12:29:47 +0200

cpufreqd (1.2.0-1) unstable; urgency=low
  
  * New Upstream (closes: #268020)
  * Added support for extended /proc/stat in 2.6 kernels (closes: #264126)
  * Added translation from percentage to absolute values for 2.6 kernels
    (closes: #254418)
  * Implemented checks for empty configurations and supplied defaults values
    for the general section (closes: #243649)
  * Removed frequencies translation in postinst as now percentages are
    supported for both 2.4 and 2.6 kernels.

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Mon, 23 Aug 2004 15:42:11 +0200

cpufreqd (1.1.2-3) unstable; urgency=low
  
  * Added Japanese debconf translation (closes: #258767)
  * Fixed a race condition due to unwise sed usage (closes: #255855)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Mon, 26 Jul 2004 21:08:37 +0200

cpufreqd (1.1.2-2) unstable; urgency=low

  * Added German debconf templates translation (closes: #251632)
  * Fixed check for /proc/pmu check in scripts (closes: #250892)
  * Added missing --oknodo for cpufreqd restart in init script (closes: #245937)
  * Fixed bug in autoconfiguration where the script sets values of "maxfreq"
    that are lesser then "minfreq" (closes: #246867)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Mon, 31 May 2004 18:55:07 +0200

cpufreqd (1.1.2-1) unstable; urgency=low
  
  * New Upstream
  * Fixed spelling mistakes in debconf english template (closes: #240783)
  * Added Dutch debconf templates translation (closes: #241433)
  * Added French debconf templates translation (closes: #234956)
  * Added Danish debconf templates translation (closes: #234956)
  * Added missing fclose in libsys_pmu (closes: #236474)
  * added check for conffile existence and readability and used as
    argument for start-stop-daemon (closes: #235833)
  
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Tue, 31 Mar 2004 18:40:00 +0100

cpufreqd (1.1.1-1) unstable; urgency=low
  
  * New Upstream
  * Now ships with the correct configuration template (closes: #230927)
  * Updated to use po-debconf
  
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sat, 07 Feb 2004 18:58:13 +0100

cpufreqd (1.1.0-1) unstable; urgency=low
  
  * New Upstream
  * Fixed segfault when some options left empty (closes: #220939)
  * Fixed error in postinst (closes: #223395)
  * Added checks in init file to see if cpufreq and acpi/apm/pmu are
    supported
  * It now creates a better configuration with 4 Profiles and a bunch 
    of Rules
  
 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Sun, 04 Jan 2004 20:52:54 +0100

cpufreqd (1.1-rc1-1) unstable; urgency=low

  * New Upstream
  * Added a simple autoconfiguration script
  * Added debconf dependency because of a debconf warning needed during
    install if cpufreqd is unable to start
  * Added README.Debian
  * Added two sample configurations (one for 2.6 kernel and one for 2.4)
  * Added an ACPI workaround to avoid /proc/acpi/battery/*/info reading
    (closes: #207150)
  * Abort execution when MIN and MAX frequencies are not correct wrt to the
    kernel version (2.4 as percentage or Hz and 2.6 Hz only) (closes: #205732)
  * Removed empty NEWS file (closes: #217249)

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Thu, 26 Oct 2003 20:30:00 +0200

cpufreqd (1.0.1-2) unstable; urgency=low

  * Fixed lintian warning about missing #DEBHELPER#

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Thu, 30 Jul 2003 15:30:00 +0200

cpufreqd (1.0.1-1) unstable; urgency=low

  * Initial Release (closes: #199404).

 -- Mattia Dongili (ma.d.) <dongili@supereva.it>  Thu, 24 Jul 2003 17:00:00 +0200
